##
##  limo.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         limo
Summary:      Alternative List ls(1) Command
URL:          http://www.joat.ca/limo.html
Vendor:       Fraser McCrossan
Packager:     The OpenPKG Project
Distribution: OpenPKG [PLUS]
Group:        System
License:      GPL
Version:      0.3.2
Release:      20020529

#   list of sources
Source0:      http://www.joat.ca/limo-%{version}.tar.gz
Patch0:       limo.patch

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020206
PreReq:       OpenPKG, openpkg >= 20020206
AutoReq:      no
AutoReqProv:  no

%description
    limo is a replacement for ls with some knobs on. By default, it
    is installed as both limo and as li. It tries to give far more
    control over the output format than ls and has simpler and more
    straightforward (albeit more verbose) options. It also has the
    -l and -s options which behave similarly to those of ls. It is
    probably most suited to system administrators who need to know file
    attributes very precisely, and to script writers, who wish to avoid
    parsing ls output.

%prep
    %setup -q
    %patch -p0

%build
    %{l_make} %{l_mflags -O} \
        CC="%{l_cc}"

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/bin
    %{l_shtool} mkdir -f -p -m 755 $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -s -m 755 limo $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 limo.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    ln $RPM_BUILD_ROOT%{l_prefix}/bin/limo \
       $RPM_BUILD_ROOT%{l_prefix}/bin/li
    ln $RPM_BUILD_ROOT%{l_prefix}/man/man1/limo.1 \
       $RPM_BUILD_ROOT%{l_prefix}/man/man1/li.1
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

